{include="header"}

{if="$fsc->factura"}
<script type="text/javascript" src="{$fsc->get_js_location('provincias.js')}"></script>
<script type="text/javascript" src="{$fsc->get_js_location('nueva_venta.js')}"></script>
<script type="text/javascript">
   numlineas = {function="count($fsc->factura->get_lineas())"};
   fs_nf0 = {#FS_NF0#};
   all_impuestos = {function="json_encode($fsc->impuesto->all())"};
   all_series = {function="json_encode($fsc->serie->all())"};
   cliente = {function="json_encode($fsc->cliente_s)"};
   nueva_venta_url = '{$fsc->nuevo_albaran_url}';
   kiwimaru_url = '{#FS_COMMUNITY_URL#}/index.php?page=kiwimaru';

   $(document).ready(function() {
      $("#numlineas").val(numlineas);
      usar_serie();
      recalcular();
      $("#ac_cliente").autocomplete({
         serviceUrl: nueva_venta_url,
         paramName: 'buscar_cliente',
         onSelect: function (suggestion) {
            if(suggestion)
            {
               if(document.f_edit_factura.cliente.value != suggestion.data && suggestion.data != '')
               {
                  document.f_edit_factura.cliente.value = suggestion.data;
                  usar_cliente(suggestion.data);
               }
            }
         }
      });
   });
</script>

<form id="f_edit_factura" class="form" name="f_edit_factura" action="{$fsc->url()}" method="post">
   <input type="hidden" name="id" value="{$fsc->factura->idfactura}"/>
   <input type="hidden" id="numlineas" name="numlineas" value="0"/>
   <input type="hidden" name="cliente" value="{$fsc->factura->codcliente}"/>
   <div class="container-fluid">
      <div class="row" style="margin-top: 10px;">
         <div class="col-xs-3">
            <div class="btn-group">
               <a class="btn btn-sm btn-default" href="{$fsc->factura->url()}" title="volver a la factura">
                  <span class="glyphicon glyphicon-arrow-left"></span>
                  <span class="hidden-sm hidden-xs">&nbsp; Volver</span>
               </a>
               <a class="btn btn-sm btn-default" href="{$fsc->url()}" title="recargar la página">
                  <span class="glyphicon glyphicon-refresh"></span>
               </a>
            </div>
            <div class="btn-group">
            {loop="$fsc->extensions"}
               {if condition="$value->type=='button'"}
               <a href="index.php?page={$value->from}{$value->params}&id={$fsc->factura->idfactura}" class="btn btn-sm btn-default">
                  {$value->text}
               </a>
               {/if}
            {/loop}
            </div>
         </div>
         <div class="col-xs-6 text-center">
            <h2 style="margin-top: 0px;">
               Editar factura
               <small>{$fsc->factura->codigo}</small>
            </h2>
         </div>
         <div class="col-xs-3 text-right">
            <div class="btn-group">
               <a href="{$fsc->factura->url()}" class="btn btn-sm btn-default">
                  <span class="glyphicon glyphicon-remove"></span>
                  <span class="hidden-sm hidden-xs">&nbsp; Cancelar</span>
               </a>
               <button class="btn btn-sm btn-primary" type="submit" onclick="this.disabled=true;this.form.submit();">
                  <span class="glyphicon glyphicon-floppy-disk"></span>
                  <span class="hidden-xs">&nbsp; Guardar</span>
               </button>
            </div>
         </div>
      </div>
      <div class="row">
         <div class="col-sm-12 text-center">
            <div class="checkbox-inline">
               <label>
                  {if="$fsc->factura->pagada"}
                  <input type="checkbox" name="pagada" value="TRUE" checked=""/>
                  {else}
                  <input type="checkbox" name="pagada" value="TRUE"/>
                  {/if}
                  Pagada
               </label>
            </div>
            <div class="checkbox-inline">
               <label>
                  {if="$fsc->factura->anulada"}
                  <input type="checkbox" name="anulada" value="TRUE" checked=""/>
                  {else}
                  <input type="checkbox" name="anulada" value="TRUE"/>
                  {/if}
                  Anulada
               </label>
            </div>
            <div class="checkbox-inline">
               <label>
                  {if="$fsc->factura->femail"}
                  <input type="checkbox" name="enviada" value="{$fsc->factura->femail}" checked=""/>
                  {else}
                  <input type="checkbox" name="enviada" value="{$fsc->today()}"/>
                  {/if}
                  Enviada
               </label>
            </div>
            <hr/>
         </div>
      </div>
      <div class="row">
         <div class="col-sm-2">
            <div class="form-group">
               Fecha:
               <input class="form-control datepicker" type="text" name="fecha" value="{$fsc->factura->fecha}" autocomplete="off"/>
            </div>
         </div>
         <div class="col-sm-2">
            <div class="form-group">
               Hora:
               <input class="form-control" type="text" name="hora" value="{$fsc->factura->hora}" autocomplete="off"/>
            </div>
         </div>
         <div class="col-sm-3">
            <div class="form-group">
               <a href="{$fsc->serie->url()}">Serie</a>:
               <select class="form-control" name="serie" id="codserie" onchange="usar_serie();recalcular();">
               {loop="$fsc->serie->all()"}
                  {if="$value->codserie==$fsc->factura->codserie"}
                  <option value="{$value->codserie}" selected="">{$value->descripcion}</option>
                  {else}
                  <option value="{$value->codserie}">{$value->descripcion}</option>
                  {/if}
               {/loop}
               </select>
            </div>
         </div>
         <div class="col-sm-2">
            <div class="form-group">
               Número:
               <input class="form-control" type="text" name="numero" value="{$fsc->factura->numero}" autocomplete="off"/>
            </div>
         </div>
         <div class="col-sm-3">
            <div class="form-group">
               <span class='text-capitalize'>{#FS_NUMERO2#}:</span>
               <input class="form-control" type="text" name="numero2" value="{$fsc->factura->numero2}" autocomplete="off"/>
            </div>
         </div>
      </div>
      <div class="row">
         <div class="col-sm-3">
            <div class="form-group">
               <a href="{$fsc->cliente_s->url()}">Cliente actual</a>:
               <div class="input-group">
                  <input class="form-control" type="text" name="ac_cliente" id="ac_cliente" value="{$fsc->factura->nombrecliente}" placeholder="Buscar" autocomplete="off"/>
                  <span class="input-group-btn">
                     <button class="btn btn-default" type="button" onclick="document.f_edit_factura.ac_cliente.value=''; document.f_edit_factura.ac_cliente.focus();">
                        <span class="glyphicon glyphicon-edit"></span>
                     </button>
                  </span>
               </div>
            </div>
         </div>
         <div class="col-sm-2">
            <div class="form-group">
               {#FS_CIFNIF#}:
               <input class="form-control" type="text" name="cifnif" value="{$fsc->factura->cifnif}" autocomplete="off"/>
            </div>
         </div>
      </div>
   </div>

   <div role="tabpanel">
      <ul class="nav nav-tabs" role="tablist">
         <li role="presentation" class="active">
            <a href="#lineas" aria-controls="lineas" role="tab" data-toggle="tab">
               <span class="glyphicon glyphicon-list"></span>
               <span class="hidden-xs">&nbsp; Líneas</span>
            </a>
         </li>
         <li role="presentation">
            <a href="#direccion" aria-controls="direccion" role="tab" data-toggle="tab">
               <span class="glyphicon glyphicon-road"></span>
               <span class="hidden-xs">&nbsp; Dirección</span>
            </a>
         </li>
      </ul>
      <div class="tab-content">
         <div role="tabpanel" class="tab-pane active" id="lineas">
            <div class="table-responsive">
               <table class="table table-condensed">
                  <thead>
                     <tr>
                        <th class="text-left" width="180">Referencia</th>
                        <th class="text-left">Descripción</th>
                        <th class="text-right" width="90">Cantidad</th>
                        <th width="60"></th>
                        <th class="text-right" width="110">Precio</th>
                        <th class="text-right" width="90">Dto. %</th>
                        <th class="text-right" width="130">Neto</th>
                        <th class="text-right" width="115">{#FS_IVA#}</th>
                        <th class="text-right recargo" width="115">RE %</th>
                        <th class="text-right irpf" width="115">{#FS_IRPF#} %</th>
                        <th class="text-right" width="140">Total</th>
                     </tr>
                  </thead>
                  <tbody id="lineas_albaran">
                     {loop="$fsc->factura->get_lineas()"}
                     <tr id="linea_{$counter}">
                        <td>
                           <input type="hidden" name="idlinea_{$counter}" value="{$value->idlinea}"/>
                           <input type="hidden" name="referencia_{$counter}" value="{$value->referencia}"/>
                           <div class="form-control">
                              <small><a href="{$value->articulo_url()}" target="_blank">{$value->referencia}</a></small>
                           </div>
                        </td>
                        <td><textarea class="form-control" name="desc_{$counter}" rows="1" onclick="this.select()">{$value->descripcion}</textarea></td>
                        <td>
                           <input type="number" step="any" id="cantidad_{$counter}" class="form-control text-right" name="cantidad_{$counter}"
                                  value="{$value->cantidad}" onchange="recalcular()" onkeyup="recalcular()" autocomplete="off" value="1"/>
                        </td>
                        <td>
                           <button class="btn btn-sm btn-danger" type="button" onclick="$('#linea_{$counter}').remove();recalcular();">
                              <span class="glyphicon glyphicon-trash"></span>
                           </button>
                        </td>
                        <td>
                           <input type="text" class="form-control text-right" id="pvp_{$counter}" name="pvp_{$counter}" value="{$value->pvpunitario}"
                                  onkeyup="recalcular()" onclick="this.select()" autocomplete="off"/>
                        </td>
                        <td>
                           <input type="text" id="dto_{$counter}" name="dto_{$counter}" value="{$value->dtopor}" class="form-control text-right"
                                  onkeyup="recalcular()" onclick="this.select()" autocomplete="off"/>
                        </td>
                        <td>
                           <input type="text" class="form-control text-right" id="neto_{$counter}" name="neto_{$counter}"
                                  onchange="ajustar_neto()" onclick="this.select()" autocomplete="off"/>
                        </td>
                        <td>
                           <select class="form-control" id="iva_{$counter}" name="iva_{$counter}" onchange="ajustar_iva('{$counter}')">
                           {loop="$fsc->impuesto->all()"}
                              {if="$value1->codimpuesto==$value2->codimpuesto OR $value1->iva==$value2->iva"}
                              <option value="{$value2->iva}" selected="">{$value2->descripcion}</option>
                              {else}
                              <option value="{$value2->iva}">{$value2->descripcion}</option>
                              {/if}
                           {/loop}
                           </select>
                        </td>
                        <td class="recargo">
                           <input type="text" class="form-control text-right" id="recargo_{$counter}" name="recargo_{$counter}" value="{$value->recargo}"
                                  onchange="recalcular()" onclick="this.select()" autocomplete="off"/>
                        </td>
                        <td class="irpf">
                           <input type="text" class="form-control text-right" id="irpf_{$counter}" name="irpf_{$counter}" value="{$value->irpf}"
                                  onchange="recalcular()" onclick="this.select()" autocomplete="off"/>
                        </td>
                        <td>
                           <input type="text" class="form-control text-right" id="total_{$counter}" name="total_{$counter}"
                                  onchange="ajustar_total()" onclick="this.select()" autocomplete="off"/>
                        </td>
                     </tr>
                     {/loop}
                  </tbody>
                  <tbody>
                     <tr class="info">
                        <td><input id="i_new_line" class="form-control" type="text" placeholder="Buscar para añadir..." autocomplete="off"/></td>
                        <td colspan="3">
                           <a href="#" class="btn btn-sm btn-default" title="Añadir sin buscar" onclick="return add_linea_libre()">
                              <span class="glyphicon glyphicon-edit" aria-hidden="true"></span>
                           </a>
                        </td>
                        <td colspan="2">
                           <div class="form-control text-right">Totales</div>
                        </td>
                        <td><div id="aneto" class="form-control text-right" style="font-weight: bold;">{$fsc->show_numero(0)}</div></td>
                        <td><div id="aiva" class="form-control text-right" style="font-weight: bold;">{$fsc->show_numero(0)}</div></td>
                        <td class="recargo"><div id="are" class="form-control text-right" style="font-weight: bold;">{$fsc->show_numero(0)}</div></td>
                        <td class="irpf"><div id="airpf" class="form-control text-right" style="font-weight: bold;">{$fsc->show_numero(0)}</div></td>
                        <td>
                           <input type="text" name="atotal" id="atotal" class="form-control text-right" style="font-weight: bold;"
                                  value="0" onchange="recalcular()" autocomplete="off"/>
                        </td>
                     </tr>
                     {if="$fsc->user->admin"}
                     <tr>
                        <td colspan="6"></td>
                        <td class="text-right">{$fsc->show_precio($fsc->factura->neto, $fsc->factura->coddivisa)}</td>
                        <td class="text-right">{$fsc->show_precio($fsc->factura->totaliva, $fsc->factura->coddivisa)}</td>
                        <td class="recargo text-right">{$fsc->show_precio($fsc->factura->totalrecargo, $fsc->factura->coddivisa)}</td>
                        <td class="irpf text-right">{$fsc->show_precio($fsc->factura->totalirpf, $fsc->factura->coddivisa)}</td>
                        <td class="text-right">{$fsc->show_precio($fsc->factura->total, $fsc->factura->coddivisa)}</td>
                     </tr>
                     {/if}
                  </tbody>
               </table>
            </div>
            <div class="container-fluid">
               <div class="row">
                  <div class="col-sm-3">
                     <div class="form-group">
                        <a href="{$fsc->forma_pago->url()}">Forma de pago</a>:
                        <select name="forma_pago" class="form-control">
                           {loop="$fsc->forma_pago->all()"}
                           <option value="{$value->codpago}"{if="$fsc->factura->codpago==$value->codpago"} selected=""{/if}>{$value->descripcion}</option>
                           {/loop}
                        </select>
                     </div>
                  </div>
                  <div class="col-sm-2">
                     <div class="form-group{if="$fsc->factura->vencida()"} has-warning{/if}">
                        Vencimiento:
                        <input class="form-control datepicker" type="text" name="vencimiento" value="{$fsc->factura->vencimiento}" autocomplete="off"/>
                     </div>
                  </div>
                  <div class="col-sm-3"></div>
                  <div class="col-sm-2">
                     <div class="form-group">
                        <a href="{$fsc->divisa->url()}">Divisa</a>:
                        <select name="divisa" class="form-control">
                        {loop="$fsc->divisa->all()"}
                           {if="$value->coddivisa==$fsc->factura->coddivisa"}
                           <option value="{$value->coddivisa}" selected="">{$value->descripcion}</option>
                           {else}
                           <option value="{$value->coddivisa}">{$value->descripcion}</option>
                           {/if}
                        {/loop}
                        </select>
                     </div>
                  </div>
                  <div class="col-sm-2">
                     <div class="form-group">
                        Tasa de conversión (1$ = X)
                        <input type="text" name="tasaconv" class="form-control" placeholder="{$fsc->factura->tasaconv}" autocomplete="off"/>
                     </div>
                  </div>
               </div>
               <div class="row">
                  <div class="col-sm-12">
                     <div class="form-group">
                        Observaciones:
                        <textarea class="form-control" name="observaciones" rows="4">{$fsc->factura->observaciones}</textarea>
                     </div>
                  </div>
               </div>
            </div>
         </div>
         <div role="tabpanel" class="tab-pane" id="direccion">
            <div class="container-fluid" style="margin-top: 10px;">
               <div class="row">
                  <div class="col-sm-3">
                     <div class="form-group">
                        <a href="{$fsc->pais->url()}">País</a>:
                        <select class="form-control" name="codpais">
                           {loop="$fsc->pais->all()"}
                           <option value="{$value->codpais}"{if="$value->codpais==$fsc->factura->codpais"} selected=""{/if}>{$value->nombre}</option>
                           {/loop}
                        </select>
                     </div>
                  </div>
                  <div class="col-sm-3">
                     <div class="form-group">
                        <span class="text-capitalize">{#FS_PROVINCIA#}</span>:
                        <input id="ac_provincia" class="form-control" type="text" name="provincia" autocomplete="off" value="{$fsc->factura->provincia}"/>
                     </div>
                  </div>
                  <div class="col-sm-3">
                     <div class="form-group">
                        Ciudad:
                        <input class="form-control" type="text" name="ciudad" autocomplete="off" value="{$fsc->factura->ciudad}"/>
                     </div>
                  </div>
                  <div class="col-sm-3">
                     <div class="form-group">
                        Código Postal:
                        <input class="form-control" type="text" name="codpostal" autocomplete="off" value="{$fsc->factura->codpostal}"/>
                     </div>
                  </div>
                  <div class="col-sm-6">
                     <div class="form-group">
                        Dirección:
                        <input class="form-control" type="text" name="direccion" value="{$fsc->factura->direccion}" autocomplete="off"/>
                     </div>
                  </div>
               </div>
            </div>
         </div>
      </div>
   </div>
</form>

<div class="modal" id="modal_articulos">
   <div class="modal-dialog" style="width: 99%; max-width: 1000px;">
      <div class="modal-content">
         <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
            <h4 class="modal-title">Buscar artículos</h4>
         </div>
         <div class="modal-body">
            <form id="f_buscar_articulos" name="f_buscar_articulos" action="{$fsc->url()}" method="post" class="form">
               <input type="hidden" name="codcliente" value="{$fsc->factura->codcliente}"/>
               <input type="hidden" name="codalmacen" value="{$fsc->factura->codalmacen}"/>
               <div class="container-fluid">
                  <div class="row">
                     <div class="col-sm-4">
                        <div class="input-group">
                           <input class="form-control" type="text" name="query" autocomplete="off"/>
                           <span class="input-group-btn">
                              <button class="btn btn-primary" type="submit">
                                 <span class="glyphicon glyphicon-search"></span>
                              </button>
                           </span>
                        </div>
                        <label>
                           <input type="checkbox" name="con_stock" value="TRUE" onchange="buscar_articulos()"/>
                           sólo con stock
                        </label>
                     </div>
                     <div class="col-sm-4">
                        <select class="form-control" name="codfamilia" onchange="buscar_articulos()">
                           <option value="">Cualquier Categoria</option>
                           <option value="">------</option>
                           {loop="$fsc->familia->all()"}
                           <option value="{$value->codfamilia}">{$value->nivel}{$value->descripcion}</option>
                           {/loop}
                        </select>
                     </div>
                     <div class="col-sm-4">
                        <select class="form-control" name="codfabricante" onchange="buscar_articulos()">
                           <option value="">Cualquier fabricante</option>
                           <option value="">------</option>
                           {loop="$fsc->fabricante->all()"}
                           <option value="{$value->codfabricante}">{$value->nombre}</option>
                           {/loop}
                        </select>
                     </div>
                  </div>
               </div>
            </form>
         </div>
         <ul class="nav nav-tabs" id="nav_articulos" style="display: none;">
            <li id="li_mis_articulos">
               <a href="#" id="b_mis_articulos">Mi catálogo</a>
            </li>
            <li id="li_kiwimaru">
               <a href="#" id="b_kiwimaru">
                  <span class="glyphicon glyphicon-globe"></span>
               </a>
            </li>
            <li id="li_nuevo_articulo">
               <a href="#" id="b_nuevo_articulo">
                  <span class="glyphicon glyphicon-plus"></span> &nbsp; Nuevo
               </a>
            </li>
         </ul>
         <div id="search_results"></div>
         <div id="kiwimaru_results"></div>
         <div id="nuevo_articulo" class="modal-body" style="display: none;">
            <form name="f_nuevo_articulo" action="{$fsc->url()}" method="post" class="form">
               <div class="container-fluid">
                  <div class="row">
                     <div class="col-sm-3">
                        <div class="form-group">
                           Referencia:
                           <input class="form-control" type="text" name="referencia" maxlength="18" autocomplete="off"/>
                        </div>
                     </div>
                     <div class="col-sm-6">
                        <div class="form-group">
                           Descripción:
                           <textarea name="descripcion" rows="1" class="form-control"></textarea>
                        </div>
                     </div>
                     <div class="col-sm-3">
                        <div class="form-group">
                           <a href="{$fsc->familia->url()}">Categoria</a>:
                           <select name="codfamilia" class="form-control">
                              <option value="">Ninguna</option>
                              <option value="">------</option>
                              {loop="$fsc->familia->all()"}
                              <option value="{$value->codfamilia}">{$value->nivel}{$value->descripcion}</option>
                              {/loop}
                           </select>
                        </div>
                     </div>
                  </div>
                  <div class="row">
                     <div class="col-sm-4">
                        <div class="form-group">
                           <a href="{$fsc->fabricante->url()}">Fabricante</a>:
                           <select name="codfabricante" class="form-control">
                              <option value="">Ninguno</option>
                              <option value="">------</option>
                              {loop="$fsc->fabricante->all()"}
                              <option value="{$value->codfabricante}">{$value->nombre}</option>
                              {/loop}
                           </select>
                        </div>
                     </div>
                     <div class="col-sm-4">
                        <div class="form-group">
                           <a href="{$fsc->impuesto->url()}">{#FS_IVA#}</a>:
                           <select name="codimpuesto" class="form-control">
                              {loop="$fsc->impuesto->all()"}
                              <option value="{$value->codimpuesto}"{if="$value->is_default()"} selected=""{/if}>{$value->descripcion}</option>
                              {/loop}
                           </select>
                        </div>
                     </div>
                     <div class="col-sm-4">
                        <div class="form-group">
                           Precio de venta:
                           <input type="text" name="pvp" value="0" class="form-control" autocomplete="off"/>
                        </div>
                     </div>
                  </div>
                  <div class="row">
                     <div class="col-sm-12 text-right">
                        <button class="btn btn-sm btn-primary" type="submit" onclick="new_articulo();return false;">
                           <span class="glyphicon glyphicon-floppy-disk"></span> &nbsp; Guardar y seleccionar
                        </button>
                     </div>
                  </div>
               </div>
            </form>
         </div>
      </div>
   </div>
</div>
{/if}

{include="footer"}
